<!DOCTYPE html>
<html>
<head>
	<title>进度条</title>
	<style type="text/css">
		div{
			width: 100px;
			height: 50px;
			background: red;
			margin:10px;
		}
	</style>
	<script type="text/javascript">
		window.onload=function(){
		 	var oDiv=document.getElementsByTagName('div');
		 	//添加属性
		 	oDiv.timer=null;
		 	for(var i=0;i<oDiv.length;i++){
		 		oDiv[i].onmouseover=function(){
		 			startMove(this,300);
		 		};
		 		oDiv[i].onmouseout=function(){
		 			startMove(this,100);
		 		};
		 	}
		 	
		 	
		 };
		 // var timer=null;
		function startMove(obj,iTarget){
			clearInterval(obj.timer);
			obj.timer=setInterval(function(){
				var speed=(iTarget-obj.offsetWidth)/7;
			    speed=speed>0?Math.ceil(speed):Math.floor(speed);
			    if(obj.offsetWidth==iTarget){
			    	clearInterval(obj.timer);
			    }else{
			    	 obj.style.width=obj.offsetWidth+speed+'px';
			    }
			},30);
		};
	</script>
</head>
<body>
	<div id="div1"></div>
	<div id="div2"></div>
	<div id="div3"></div>
</body>
</html>